Bug 223425 - www/firefox: update to 58.0
Summary: www/firefox: update to 58.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko mailing list
URL: https://wiki.mozilla.org/Releases/Fir...
Keywords: needs-qa, patch
Depends on: 222693
Blocks: 226476
  Show dependency treegraph
 
Reported: 2017-11-04 14:09 UTC by Jan Beich
Modified: 2018-03-28 08:46 UTC (History)
4 users (show)

See Also:


Attachments
beta1 (devedition) (41.62 KB, patch)
2017-11-04 14:09 UTC, Jan Beich
no flags Details | Diff
beta1 (devedition) (40.84 KB, patch)
2017-11-07 00:28 UTC, Jan Beich
no flags Details | Diff
beta2 (devedition) (56.72 KB, patch)
2017-11-10 02:22 UTC, Jan Beich
no flags Details | Diff
beta2 (devedition) (56.72 KB, patch)
2017-11-13 16:17 UTC, Jan Beich
no flags Details | Diff
beta3 (67.44 KB, patch)
2017-11-13 20:30 UTC, Jan Beich
no flags Details | Diff
beta4 (67.44 KB, patch)
2017-11-15 15:29 UTC, Jan Beich
no flags Details | Diff
beta4 (rebased after ports r454204) (66.64 KB, patch)
2017-11-15 15:37 UTC, Jan Beich
no flags Details | Diff
beta5 (66.64 KB, patch)
2017-11-20 21:37 UTC, Jan Beich
no flags Details | Diff
beta6 (66.68 KB, patch)
2017-11-23 23:53 UTC, Jan Beich
no flags Details | Diff
beta7 (66.98 KB, patch)
2017-11-27 18:20 UTC, Jan Beich
no flags Details | Diff
beta7 (67.02 KB, patch)
2017-11-27 18:22 UTC, Jan Beich
no flags Details | Diff
beta7 (rebased after ports r454995) (67.04 KB, patch)
2017-11-27 22:08 UTC, Jan Beich
no flags Details | Diff
beta7 (rebased after ports r455125) (67.40 KB, patch)
2017-11-29 17:17 UTC, Jan Beich
no flags Details | Diff
beta8 (67.40 KB, patch)
2017-11-30 22:03 UTC, Jan Beich
no flags Details | Diff
beta9 (67.40 KB, patch)
2017-12-06 00:39 UTC, Jan Beich
no flags Details | Diff
beta10 (rebased after ports r455758) (67.59 KB, patch)
2017-12-07 21:43 UTC, Jan Beich
no flags Details | Diff
beta11 (67.59 KB, patch)
2017-12-12 20:59 UTC, Jan Beich
no flags Details | Diff
beta12 (67.94 KB, patch)
2017-12-19 04:45 UTC, Jan Beich
no flags Details | Diff
beta13 (67.96 KB, patch)
2017-12-26 17:22 UTC, Jan Beich
no flags Details | Diff
beta13 (rebased after ports r457304) (67.59 KB, patch)
2017-12-26 18:41 UTC, Jan Beich
no flags Details | Diff
beta14 (67.59 KB, patch)
2018-01-04 06:21 UTC, Jan Beich
no flags Details | Diff
beta14 (rebased after ports r458140) (67.59 KB, patch)
2018-01-05 14:32 UTC, Jan Beich
no flags Details | Diff
beta15 (67.59 KB, patch)
2018-01-09 10:40 UTC, Jan Beich
no flags Details | Diff
beta16 (67.61 KB, patch)
2018-01-11 17:49 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-11-04 14:09:59 UTC
Created attachment 187726 [details]
beta1 (devedition)

WebRender is partially usable[1] thus built by default ahead of upstream. To try go to about:config then

  layers.acceleration.force-enabled -> true
  gfx.webrendest.enabled -> true

[1] https://bugzilla.mozilla.org/show_bug.cgi?id=1387549
Comment 1 Jan Beich freebsd_committer 2017-11-04 14:14:10 UTC
(In reply to Jan Beich from comment #0)
>  gfx.webrendest.enabled -> true

Typo: gfx.webrender.enabled -> true. webrende*st* was removed recently - https://bugzilla.mozilla.org/show_bug.cgi?id=1410824
Comment 2 Jan Beich freebsd_committer 2017-11-07 00:28:58 UTC
Created attachment 187811 [details]
beta1 (devedition)
Comment 3 Jan Beich freebsd_committer 2017-11-10 02:22:25 UTC
Created attachment 187899 [details]
beta2 (devedition)

Scratch comment 0 and comment 1. Beta still tracks Nightly, so the following applies

https://mozillagfx.wordpress.com/2017/11/06/webrender-newsletter-9/
Comment 4 Jan Beich freebsd_committer 2017-11-13 16:17:38 UTC
Created attachment 187969 [details]
beta2 (devedition)
Comment 5 Jan Beich freebsd_committer 2017-11-13 20:30:49 UTC
Created attachment 187978 [details]
beta3
Comment 6 Jan Beich freebsd_committer 2017-11-15 15:29:12 UTC
Created attachment 188017 [details]
beta4
Comment 7 Jan Beich freebsd_committer 2017-11-15 15:37:35 UTC
Created attachment 188018 [details]
beta4 (rebased after ports r454204)
Comment 8 Greg V 2017-11-18 16:12:32 UTC
> MAKE_ENV+= MACH=1

Still not migrating to actually using mach/mozbuild? :(
Comment 9 Greg V 2017-11-18 16:27:50 UTC
Huh, so Firefox now actually includes u2f-hid-rs… I guess I should finish my FreeBSD compatibility patch @ https://github.com/myfreeweb/u2f-hid-rs (it currently works, but not very reliably)
Comment 10 Greg V 2017-11-18 16:29:01 UTC
Can't build with DTRACE:

dtrace: failed to link script /usr/ports/www/firefox/work/firefox-58.0b4/js/src/devtools/javascript-trace.d: invalid file type: RegExp.o
Comment 11 Greg V 2017-11-18 17:04:50 UTC
So WebRender works great with amdgpu/RadeonSI! (Except popover windows like menu/addons/downloads have a non-transparent white border now, but I'm sure that's not FreeBSD specific in any way :D)

By the way, Firefox builds fine with `CFLAGS+= -flto=thin` for some extra optimization (clang ThinLTO), have you considered adding an LTO flag that does this?
Comment 12 Jan Beich freebsd_committer 2017-11-18 19:40:24 UTC
(In reply to Greg V from comment #10)
> dtrace: failed to link script /usr/ports/www/firefox/work/firefox-58.0b4/js/src/devtools/javascript-trace.d: invalid file type: RegExp.o

Clang's -flto is incompatible with dtrace -G.
Comment 13 Jan Beich freebsd_committer 2017-11-18 19:43:13 UTC
(In reply to Greg V from comment #11)
> Firefox builds fine with `CFLAGS+= -flto=thin`

For me it fails with "NSModules are not ordered appropriately"
Comment 14 Jan Beich freebsd_committer 2017-11-18 21:41:55 UTC
(In reply to Greg V from comment #8)
> Still not migrating to actually using mach/mozbuild? :(

ENOTIME. Mk/bsd.gecko.mk needs refactoring. OTOH, I don't use most of gecko@: libxul, thunderbird, seamonkey, plugins, xpi-*, *-i18n, .desktop files, dtrace, sndio, v4l, gnome integration, pgo, etc. Even www/firefox is just a backup plan for when using Nightly is too rough.

If it proves to be too hard I can always revert to
https://lists.freebsd.org/pipermail/freebsd-gecko/2015-September/005697.html
Comment 15 Jan Beich freebsd_committer 2017-11-20 21:37:10 UTC
Created attachment 188147 [details]
beta5

http://forums.mozillazine.org/viewtopic.php?f=23&t=3035568 lists beta4 -> beta5 changes.
Comment 16 Jan Beich freebsd_committer 2017-11-23 23:53:19 UTC
Created attachment 188228 [details]
beta6

http://forums.mozillazine.org/viewtopic.php?f=23&t=3035752 lists beta5 -> beta6 changes.
Comment 17 Tobias Kortkamp freebsd_committer 2017-11-25 08:07:43 UTC
Comment on attachment 188228 [details]
beta6

Builds and runs fine with SNDIO=on on 12.0-CURRENT amd64.
Comment 19 Jan Beich freebsd_committer 2017-11-27 18:22:10 UTC
Created attachment 188326 [details]
beta7

Previous diff was accidentally for beta6.
Comment 20 Jan Beich freebsd_committer 2017-11-27 22:08:29 UTC
Created attachment 188330 [details]
beta7 (rebased after ports r454995)
Comment 21 Tobias Kortkamp freebsd_committer 2017-11-28 17:42:24 UTC
(In reply to Jan Beich from comment #20)
beta7 builds fine and seems to run fine.

I'm not sure if the WebRTC work re. sndio mentioned in [1] is supposed to
work already or if this is something for Firefox 59.0, or if it's just unstable
on FreeBSD.  Trying the AudioRecorder demo [2] on beta6 crashed the tab often
but could be made to work sometimes.

[1] http://www.undeadly.org/cgi?action=article;sid=20171113091807
[2] https://webaudiodemos.appspot.com/AudioRecorder/index.html
Comment 22 Jan Beich freebsd_committer 2017-11-29 13:41:43 UTC
I don't use SNDIO and don't remember if getUserMedia ever worked with it on FreeBSD. What landed in 58 is support for media.navigator.audio.full_duplex=true (i.e., selecting a mic via libcubeb rather than audio_device). In 57 full_duplex only works for PULSEAUDIO. Firefox 56 merged WebRTC 57, so if tab crashes on gUM prompt you need to check if ESR52 is affected as well.
Comment 23 Jan Beich freebsd_committer 2017-11-29 17:17:16 UTC
Created attachment 188405 [details]
beta7 (rebased after ports r455125)
Comment 24 Jan Beich freebsd_committer 2017-11-30 22:03:44 UTC
Created attachment 188437 [details]
beta8
Comment 28 Tobias Kortkamp freebsd_committer 2017-12-13 19:06:24 UTC
(In reply to Jan Beich from comment #27)
beta11 builds fine with SNDIO=on.

The AudioRecorder demo seems to be stable now and I can reload the tab
as often as I want without crashing it.
Comment 31 Jan Beich freebsd_committer 2017-12-26 18:41:58 UTC
Created attachment 189120 [details]
beta13 (rebased after ports r457304)
Comment 35 Jan Beich freebsd_committer 2018-01-11 17:49:18 UTC
Created attachment 189625 [details]
beta16

https://hg.mozilla.org/releases/mozilla-beta/pushloghtml?startdate=2018-01-09&enddate=2018-01-12

Probably, the last build of Beta cycle. Expecting the first release candidate on Tuesday.
Comment 36 commit-hook freebsd_committer 2018-01-15 21:33:26 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jan 15 21:32:33 UTC 2018
New revision: 459118
URL: https://svnweb.freebsd.org/changeset/ports/459118

Log:
  www/firefox: update to 58.0

  Changes:	https://www.mozilla.org/firefox/58.0/releasenotes/
  PR:		223425
  Tested by:	Greg V, tobik
  Security:	a891c5b4-3d7a-4de9-9c71-eef3fd698c77
  MFH:		2018Q1 (piling up)

Changes:
  head/Mk/Uses/gecko.mk
  head/Mk/bsd.gecko.mk
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-bug1186967
  head/www/firefox/files/patch-bug1366201
  head/www/firefox/files/patch-bug1412558
  head/www/firefox/files/patch-bug1414440
  head/www/firefox/files/patch-bug826985
  head/www/firefox/files/patch-bug847568
  head/www/firefox/files/patch-dom_media_flac_FlacDecoder.cpp
  head/www/firefox/files/patch-toolkit_moz.configure
  head/www/firefox/files/patch-z-bug517422
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/Makefile.lang
  head/www/firefox-i18n/Makefile.option
  head/www/firefox-i18n/distinfo
Comment 37 Jan Beich freebsd_committer 2018-01-15 21:44:09 UTC
Let's see how many canaries die from turning /latest into staged rollout. I expect FF58 to be more stable than FF57. Expect the binary package for 10.* and 11.* sometime tomorrow.
Comment 39 commit-hook freebsd_committer 2018-01-19 04:50:01 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jan 19 04:49:54 UTC 2018
New revision: 459392
URL: https://svnweb.freebsd.org/changeset/ports/459392

Log:
  www/firefox: switch to rc6

  Changes:	https://hg.mozilla.org/releases/mozilla-release/pushloghtml?startdate=2018-01-16&enddate=2018-01-19
  PR:		223425
  Security:	a891c5b4-3d7a-4de9-9c71-eef3fd698c77
  MFH:		2018Q1 (piling up)

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 40 commit-hook freebsd_committer 2018-01-23 00:03:46 UTC
A commit references this bug:

Author: jbeich
Date: Tue Jan 23 00:03:00 UTC 2018
New revision: 459712
URL: https://svnweb.freebsd.org/changeset/ports/459712

Log:
  MFH: r459118 r459392

  www/firefox: update to 58.0

  Changes:	https://www.mozilla.org/firefox/58.0/releasenotes/
  PR:		223425
  Tested by:	Greg V, tobik
  Security:	a891c5b4-3d7a-4de9-9c71-eef3fd698c77
  Approved by:	ports-secteam (swills)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/Mk/Uses/gecko.mk
  branches/2018Q1/Mk/bsd.gecko.mk
  branches/2018Q1/www/firefox/Makefile
  branches/2018Q1/www/firefox/distinfo
  branches/2018Q1/www/firefox/files/patch-bug1186967
  branches/2018Q1/www/firefox/files/patch-bug1366201
  branches/2018Q1/www/firefox/files/patch-bug1412558
  branches/2018Q1/www/firefox/files/patch-bug1414440
  branches/2018Q1/www/firefox/files/patch-bug826985
  branches/2018Q1/www/firefox/files/patch-bug847568
  branches/2018Q1/www/firefox/files/patch-dom_media_flac_FlacDecoder.cpp
  branches/2018Q1/www/firefox/files/patch-toolkit_moz.configure
  branches/2018Q1/www/firefox/files/patch-z-bug517422
  branches/2018Q1/www/firefox-i18n/Makefile
  branches/2018Q1/www/firefox-i18n/Makefile.lang
  branches/2018Q1/www/firefox-i18n/Makefile.option
  branches/2018Q1/www/firefox-i18n/distinfo
Comment 41 Jan Beich freebsd_committer 2018-01-23 06:42:15 UTC
Mozilla usually releases on Tuesday 16:00 UTC but FreeBSD package cluster starts building on Tuesday/Thursday/Saturday 01:00 UTC. MFH'd had to happen slightly ahead of release announcement for the package on /quarterly to be available in time. Anyway, thanks for testing!

https://pkg.freebsd.org/FreeBSD:10:amd64/quarterly/All/firefox-58.0_1,1.txz
https://pkg.freebsd.org/FreeBSD:10:i386/quarterly/All/firefox-58.0_1,1.txz
https://pkg.freebsd.org/FreeBSD:11:amd64/quarterly/All/firefox-58.0_1,1.txz
https://pkg.freebsd.org/FreeBSD:11:i386/quarterly/All/firefox-58.0_1,1.txz

Firefox 58 package isn't available yet for 12.0-CURRENT probably due to bug 224669 fallout exceeding threshold for new failed/skipped ports.
Comment 42 Jan Beich freebsd_committer 2018-01-23 16:51:26 UTC
SafeBrowsing (phishing blacklist) no longer works, see
https://lists.freebsd.org/pipermail/freebsd-gecko/2017-November/007821.html
Comment 43 commit-hook freebsd_committer 2018-01-29 11:11:40 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jan 29 11:11:17 UTC 2018
New revision: 460254
URL: https://svnweb.freebsd.org/changeset/ports/460254

Log:
  www/firefox: update to 58.0.1

  Changes:	https://www.mozilla.org/firefox/58.0.1/releasenotes/
  PR:		223425
  MFH:		2018Q1

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 44 commit-hook freebsd_committer 2018-01-29 19:16:31 UTC
A commit references this bug:

Author: jbeich
Date: Mon Jan 29 19:16:12 UTC 2018
New revision: 460324
URL: https://svnweb.freebsd.org/changeset/ports/460324

Log:
  MFH: r460254

  www/firefox: update to 58.0.1

  Changes:	https://www.mozilla.org/firefox/58.0.1/releasenotes/
  PR:		223425
  Approved by:	ports-secteam (swills)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/www/firefox/Makefile
  branches/2018Q1/www/firefox/distinfo
  branches/2018Q1/www/firefox-i18n/Makefile
  branches/2018Q1/www/firefox-i18n/distinfo
Comment 45 commit-hook freebsd_committer 2018-02-07 19:34:33 UTC
A commit references this bug:

Author: jbeich
Date: Wed Feb  7 19:34:13 UTC 2018
New revision: 461174
URL: https://svnweb.freebsd.org/changeset/ports/461174

Log:
  www/firefox: update to 58.0.2

  Changes:	https://www.mozilla.org/firefox/58.0.2/releasenotes/
  PR:		223425

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox-i18n/Makefile
  head/www/firefox-i18n/distinfo
Comment 46 commit-hook freebsd_committer 2018-02-07 19:35:37 UTC
A commit references this bug:

Author: jbeich
Date: Wed Feb  7 19:34:50 UTC 2018
New revision: 461175
URL: https://svnweb.freebsd.org/changeset/ports/461175

Log:
  MFH: r461174

  www/firefox: update to 58.0.2

  Changes:	https://www.mozilla.org/firefox/58.0.2/releasenotes/
  PR:		223425
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2018Q1/
  branches/2018Q1/www/firefox/Makefile
  branches/2018Q1/www/firefox/distinfo
  branches/2018Q1/www/firefox-i18n/Makefile
  branches/2018Q1/www/firefox-i18n/distinfo
Comment 47 Jan Beich freebsd_committer 2018-02-07 20:02:21 UTC
58.0.2 (like 58.0.1) contains security fix. I guess, MFSA won't be published until tomorrow.
https://hg.mozilla.org/releases/mozilla-release/rev/ea406489f93a
Comment 48 Jan Beich freebsd_committer 2018-03-06 02:55:36 UTC
Anyone playing with WebRender, after Firefox 59 (see ports r463675) there's now only one pref to rule them all.

  gfx.webrender.all -> true

https://bugzilla.mozilla.org/show_bug.cgi?id=1425260
Comment 49 Jan Beich freebsd_committer 2018-03-28 08:46:50 UTC
(In reply to Jan Beich from comment #13)
> NSModules are not ordered appropriately

Workaround:
1. Comment out kPStaticModules check in toolkit/library/libxul.mk
2. Dump existing order in a temporary file
3. Manually move *_kPStaticModules_* symbols at start/end of *_NSModule symbols block
4. Append LDFLAGS in toolkit/library/moz.build with -Wl,--symbol-ordering-file
5. Revert (1) step
6. Restart build (without cleaning)

libxul.so built with LTO appears to be larger.